Subject: Extension manager: extension import and installation confirmation dialog
Description

In the old extension manager it was possible to import but not install extensions.
Currently in the new extension manager 6.x.x this is not possible.

This in my mind is a security issue, as a developer has no chance to manually audit extension code before installing it directly from the
TER via the extension manager. Also the current behaviour of the extension manager is to automatically install extension
dependencies even if the currently installed dependency extension is newer than what is suggested by the extension you wish to
install. It would download and overwrite with an older dependent extension without confirmation. This is causing backend breakages
and headaches.

So in the new extension manager a user should be able to choose(switch?) whether or not they wish to just import or install an
extension from the TER. Also a user should be able to review the overwriting of old/existing extensions and installation of
dependencies via some sort of confirmation dialog. The behaviour of these features is available to be seen in the old extension
manager.

This would require a usability/interface concept to include (and improve?) these features into the new extension manager.
Maybe a simple/advanced mode? Some thoughts and feedback to this would be most welcome.

Please see the related core issue/s.

Related issues:
related to Core - Bug # 50347: ExtensionManager: Overwriting existing extensi... Closed 2013-07-23

History

#1 - 2013-08-05 16:47 - Jens Hoffmann
- Status changed from New to Resolved
- Assigned To set to Dave no-lastname-given

- Priority changed from Must have to Could have

Thanks for your pointer to this issue. | agree with you.

I would go for "Philipp Gampe's" suggestion, too.
http://forge.typo3.org/issues/5034 7#note-1

| don't think we need to discuss this additionally here.

Ps: @Dave - Add your last name, please! It's not very

nice to hide your personality. We are an open project.

#2 - 2013-08-05 17:08 - Dave no-lasthame-given

Jens Hoffmann wrote:
http://forge.typo3.org/issues/50347#note-1

Ps: @Dave - Add your last name, please! It's not very

nice to hide your personality. We are an open project.

@Jens - Sorry will not comply! Your project maybe open but my identity is not under the same license, it is a matter of principle. Anyway for Typo3
purposes, my inputs carry more weight than my name. No offense intended. :-)

#3 - 2013-08-05 17:56 - Jens Hoffmann

| still think it's polite to share it.

It's not about a license but about

a spirit inside of the community.

We may meat in real live and we

all aim to become a TYPO3 team.

.. dave.broz .. gmail.com - Ok :)

Greez Jens

#4 - 2013-08-06 10:37 - Dave no-lastname-given
Jens Hoffmann wrote:
We may meat in real live and

we all aim to become a TYPO3 team.

Hey, don't piss me off, please don't make assumptions about my intentions.

I don't aim to be part of your "Team" and if | do | will put myself forward. | just post here from my good will.

If the project gains some value from that good will, great that was my intention, and my way to give back something.

| am not under any obligation to do so. | think my inputs are more valuable than who am. The project gains from the merit of my experience that is
given freely and honestly. Please respect that. To me your lack of respect of what | can offer is more impolite than me not complying to your terms or

participating in your agenda. Please keep your indoctrinations to yourself and focus on the issues at hand or | will stop participating. :-/

Sorry to the others for the flame, but that type of behaviour really "grinds my gears".

#5 - 2013-08-06 13:20 - Jens Hoffmann

- Assigned To deleted (Dave no-lastname-given)

| did not mean to offend you in any way.

Your suggestion is appreciated and we will

have a look in what way we can integrate

it into one of the upcoming releases.

Thanks Jens
